#STEP-1: Pre-requisite:
#----------------------
Download 32-bit NCL package from
http://www.earthsystemgrid.org/home.htm

a) If you have an account login:
#----------------------------
https://www.earthsystemgrid.org/ac/guest/secure/sso.htm

  OTHERWISE create a new account:
#--------------------------------
https://www.earthsystemgrid.org/ac/guest/secure/newUserRegistration-flow.htm
followed by login at:
https://www.earthsystemgrid.org/ac/guest/secure/sso.htm

===============================================================
WARNING: -PICK 32-bit version of NCL nodap BINARY TAR BALL
         -PICK NCL binaries compiled with GCC V4.1.2 and higher
         -MAKE sure your SYSTEM has gcc/gfortran version that
          matches the version used to compile NCL.
===============================================================
example ncl version 5.2.1: ncl_ncarg-5.2.1.Linux_i686_nodap_gcc432.tar.gz
        ncl version 6.0.0: ncl_ncarg-6.0.0.Linux_Debian_i686_nodap_gcc432.tar.gz
        ncl version 6.0.0: ncl_ncarg-6.0.0.Linux_RedHat_i686_nodap_gcc412.tar.gz

b) Download & install:
----------------------
Pick a directory  (say DIR)
tar -xvzf ncl_ncarg-5.2.1.Linux_i686_nodap_gcc432.tar.gz (or the filename you downloaded)

c) set NCARG_ROOT 
export NCARG_ROOT=DIR (bash)
OR
setenv NCARG_ROOT DIR (csh)

d) set NCLGCCVER variable to the GCC version used to compile NCL binaries you downloaded.
export NCLGCCVER=412 (bash) 
OR
setenv NCLGCCVER=432 (csh)

Note:
set NCLGCCVER variable to the GCC version used to compile NCL binaries you downloaded.
This information is part of the downloaded filename: Examples
1) ncl_ncarg-6.0.0.Linux_RedHat_i686_nodap_gcc412.tar.gz (NCLGCCVER=412)
2) ncl_ncarg-5.2.1.Linux_i686_nodap_gcc432.tar.gz        (NCLGCCVER=432)

==============================================================================
WARNING: Before going further ..
         -MAKE sure your SYSTEM has gcc/gfortran version that
          matches the version used to compile NCL.
         -IF you have MULTIPLE versions of gcc/gfortran installed on your
          system, set the environment variable to point to the appropriate
          version by using LD_LIBRARY_PATH. For example
          export LD_LIBRARY_PATH=/usr/lib/gcc/x86_64-manbo-linux-gnu/4.2.3/32/
          NOTE: It is important to include the 32 at the end because we are 
                interested in 32 bit libraries.
==============================================================================

e) Download visualization-gem-ncl.tar.bz2
mkdir plot (example directory used here is named plot)
cd plot    (example directory used here is named plot)
tar -xvjf visualization-gem-ncl.tar.bz2

#STEP-2: (Two step plotting procedure)
#=====================================
To visualize GEM output fields, we provide sample NCL scripts.
Make sure you have NCARG_ROOT and NCLGCCVER environment variables first (see  STEP-1 c, d)
#2a: create the shareobjects readfst2d.so and readfst3d.so
#===
cd plot/wraproutines
./scripttowrap.sh

#2b: Run NCL scripts:
#====================
export  NCL_DEF_LIB_DIR=plot/shareobjects (bash)
setenv NCL_DEF_LIB_DIR plot/shareobjects  (csh)
cd plot/scripts
ncl XXXXX (testplot2Dspeed.ncl for wind speed plot)
where XXXXX is testplot2Dspeed.ncl or testplot2Dvector.ncl or  testplot3D.ncl

#The output of the scripts are postscript files: temperature.ps, speed.ps and velocity.ps
#To display the images created by the script use display filename.ps

#
#Directory structure and their contents:
#=======================================
plot/

   --> scripts
       testplot2Dspeed.ncl  (Color shading of near surface speed)
       testplot2Dvector.ncl (Vector plot of near surface velocity)
       testplot3D.ncl       (Color shading near 500 mb temperature)
       --> sample_postscript (provides sample postscript output files 
                              generated by ncl scripts)
                              
            

   --> functions
       readfieldfst2d.ncl (Reads 2D fields from the GEM output and interpolate data
                           onto a regular grid to make field plotting possible)

       readfieldfst3d.ncl (Reads 3D fields from the GEM output and interpolate data
                           onto a regular grid to make field plotting possible)

       speedsfc.ncl   (Reads, computes the surface speed from GEM output and interpolate data
                       onto a regular grid to make field plotting possible)

   --> setresources 
       #Used by the scripts 
       setresourcescontour.ncl
       setresourcesvector.ncl
       setresourscalarcolor.ncl 
       setresourcesmap.ncl
       setlabelbar.ncl
 
   --> wraproutines
       NEEDS librmn.a (provided)
       readfst2d.f
       readfst2d.stub
       readfst3d.f
       readfst3d.stub
       scripttowrap.sh (bash script that generates readfst2d.so and readfst3d.so to read GEM format output files)
       
   --> shareobjects
       readfst2d.so
       readfst3d.so

   --> input
       fields2d.fst
       fields3d.fst
          
       Sample 2D and 3D meteorological fields used by ncl scripts.
       Used to test if ncl works on your system.
       You can place your 2D/3D fields here or link them to this directory.
