;************************************************
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl"
;************************************************
load "../functions/readfieldfst2d.ncl"
load "../functions/speedsfc.ncl"
load "../setresources/setresourscalarcolor.ncl"
load "../setresources/setresourcesmap.ncl"
load "../setresources/setlabelbar.ncl"
begin



type = "ps"
type@wkColorModel = "cmyk"
wks = gsn_open_wks(type,"speed")
gsn_define_colormap(wks,"rainbow")


dimx=401
dimy=200

latSp =-60 ; regular grid output
latNp = -20
lonLp = 250
lonRp = 330

minimum= 0 
maximum= 20
spacing= 3
thickness= 5
dashpat=1



dirfstfile="../input/"
filefst="fields2d.fst"


speed=speedsfc(dirfstfile+filefst,dimx,dimy,-90,90,0,360)



speed@long_name = "Surface Speed"
speed@units     = "m/s"






res= True
setresourcesmap(lonLp,lonRp,latSp,latNp,res)
setresourscalarcolor(minimum,maximum,spacing,res)
setlabelbar(res)

plotmap=gsn_csm_map(wks,res)
plotfield= gsn_csm_contour(wks,speed,res)

overlay(plotmap,plotfield)
draw(plotmap)
end
