;************************************************
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl"
;************************************************
load "../functions/readfieldfst2d.ncl"
load "../functions/speedsfc.ncl"
load "../setresources/setresourscalarcolor.ncl"
load "../setresources/setresourcesmap.ncl"
load "../setresources/setlabelbar.ncl"
load "../setresources/setresourcesvector.ncl"

begin



type = "ps"
type@wkColorModel = "cmyk"
wks = gsn_open_wks(type,"velocity")
gsn_define_colormap(wks,"rainbow")


dimx=401
dimy=200

latSp =-60 ; regular grid output
latNp = -20
lonLp = 270
lonRp = 310

minimum= 0 
maximum= 20
spacing= 3
thickness= 5
dashpat=1



dirfstfile="../input/"
filefst="fields2d.fst"
ud=readfieldfst2d(dirfstfile+filefst,"UD",dimx,dimy,-90,90,0,360)
vd=readfieldfst2d(dirfstfile+filefst,"VD",dimx,dimy,-90,90,0,360)



printVarSummary(ud)
printVarSummary(vd)

res= True
setresourcesmap(lonLp,lonRp,latSp,latNp,res)
setresourcesvector(10,0.02,"CurlyVector","Black",1,lonLp,lonRp,latSp,latNp,"","",5,5,"ms~S~-1~N~","Top",res)


plotmap=gsn_csm_map(wks,res)

plotwind = gsn_vector(wks,ud,vd,res)

overlay(plotmap,plotwind)
draw(plotmap)

frame(wks)
end
