;************************************************
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl"
;************************************************
load "../functions/readfieldfst3d.ncl"
load "../setresources/setresourscalarcolor.ncl"
load "../setresources/setresourcesmap.ncl"
load "../setresources/setlabelbar.ncl"
begin



type = "ps"
type@wkColorModel = "cmyk"
type@wkOrientation = "portrait"
wks = gsn_open_wks(type,"temperature")
gsn_define_colormap(wks,"rainbow")


;############GRID DIMENSION OF THE 3D FIELDS######################

dimx=401
dimy=200
dimz= 23
;###################################################################

;###############SECTION OF THE GLOBE TO PLOT######################

latSp =-60 ; regular grid output
latNp =-20 
lonLp = 270
lonRp = 310
;####################################################################

;####################RANGE OF VALUES TO PLOT############################

minimum= 0     ;lower end of the temperature field
maximum= 30    ;upper end of the temperature field
spacing= 3      ; contour every 3 degrees
thickness= 3   ;in case of contouring use thickness 3
dashpat=1      ;dash pattern (consult predefined dash patterns in www.ncl.ucar.edu)

levels=new(dimz,float)



;###############DIRECTORY AND NAME OF THE INPUT FILE#########################

dirfstfile="../input/"
filefst="fields3d.fst"

;##############################################################################

;##################RETRIEVING TEMPERATURE "TT" at 850 millibars####################

fieldreg=readfieldfst3d(dirfstfile+filefst,"TT",levels,850.,dimx,dimy,dimz,-90,90,0,360)


fieldreg@long_name = "Temperature 850 mb"
fieldreg@units     = "C"


res= True
setresourcesmap(lonLp,lonRp,latSp,latNp,res) ; Setting the background map
setresourscalarcolor(minimum,maximum,spacing,res); setting the color scale
setlabelbar (res) ; setting the label bar

plotmap=gsn_csm_map(wks,res)
plotfield= gsn_csm_contour(wks,fieldreg,res)


overlay(plotmap,plotfield)
draw(plotmap)
frame(wks)

end
