#!/bin/bash
#Badrinath Nagarajan
#Install script for visualization software for GEM FST output files
#Note:
#xrec version 5.96
#
#STEPS:
#1) Untar the xrec.tar
#=====================
echo " "
echo "===> Installing xrec in current directory"
tar -xvjf xrec.tar.bz2 > /dev/null 2> /dev/null

#2) MANDATORY Environmental Variables to be set
#===========================================
#No data dir at the end of ARMNLIB
cdir=$(pwd)
ARMNLIB=${cdir}/data/share
export ARMNLIB

#TMPDIR: Make sure you have ~/tmp directory exists!
#==================================================
export TMPDIR=${HOME}/tmp
if [ ! -d ${HOME}/tmp ];
then
  mkdir -p ${HOME}/tmp > /dev/null 2> /dev/null 
  echo "===> Created tmp directory under $HOME ... for xrec"
fi

#If you desire English menus use (Default is French Menu)
#========================================================
echo "===> Done installation"
echo " "
echo "TO USE XREC  "
echo "FIRST  export ARMNLIB=${cdir}/data/share"
echo "SECOND export TMPDIR=${HOME}/tmp "
echo "THIRD  export CMCLNG=english for English menus"
echo "OR     export CMCLNG=french  for French  menus"
echo "FOURTH type ${cdir}/bin/xrec "
